## noreply-nagios-checks 103

=== debian/changelog ===
noreply-nagios-checks (103) unstable; urgency=medium

  * update from Debian:
    - dsa-check-running-kernel
    - dsa-update-apt-status
    - dsa-update-unowned-file-status

 -- Peter Palfrader <weasel@debian.org>  Mon, 14 Jun 2021 09:23:30 +0200

noreply-nagios-checks (102) unstable; urgency=medium

  * update from Debian:
    - dsa-check-dnssec-delegation
    - dsa-check-timedatectl
  * add from Debian:
    - dsa-check-unbound-anchors
  * dsa-check-running-kernel: handle -unsigned packages

 -- Peter Palfrader <weasel@debian.org>  Tue, 09 Oct 2018 15:52:04 +0200

noreply-nagios-checks (101) unstable; urgency=medium

  * dsa-check-file_age: support following symlinks and warning on empty files.
  * dsa-check-file_age: support multiple files.
  * update from Debian:
    - dsa-check-backuppg
    - dsa-check-dabackup-server
    - dsa-check-drbd
    - dsa-check-hpacucli
    - dsa-check-libs
    - dsa-check-mirrorsync
    - dsa-check-raid-3ware
    - dsa-check-zone-rrsig-expiration
    - dsa-check-zone-rrsig-expiration-many
  * add from Debian:
    - dsa-check-cert-expire-dir
    - dsa-check-hpssacli
    - dsa-check-memory
    - dsa-check-puppet_agent
    - dsa-check-timedatectl
    - dsa-check-zone-signature-all

 -- Peter Palfrader <weasel@debian.org>  Fri, 19 May 2017 14:18:31 +0200

noreply-nagios-checks (100) unstable; urgency=medium

  * Depend on lsof.

 -- Peter Palfrader <weasel@debian.org>  Fri, 11 Sep 2015 16:13:04 +0200

noreply-nagios-checks (99) unstable; urgency=medium

  * Update dsa-check-libs.

 -- Peter Palfrader <weasel@debian.org>  Fri, 11 Sep 2015 16:11:11 +0200

noreply-nagios-checks (98) unstable; urgency=medium

  * Update all checks from dsa-nagios.
  * Update control file: dependencies/uploaders.

 -- Peter Palfrader <weasel@debian.org>  Wed, 09 Sep 2015 22:09:20 +0200

noreply-nagios-checks (97) Xnstable; urgency=medium

  * Update dsa-check-running-kernel.

 -- Peter Palfrader <weasel@debian.org>  Thu, 12 Feb 2015 21:11:53 +0100

noreply-nagios-checks (96) Xnstable; urgency=low

  * Update dsa-check-dnssec-delegation from Debian.
  * Update dsa-check-zone-rrsig-expiration from Debian.
  * Update dsa-check-zone-rrsig-expiration-many from Debian.

 -- Peter Palfrader <weasel@debian.org>  Tue, 15 Apr 2014 07:57:33 +0200

noreply-nagios-checks (95) Xnstable; urgency=low

  * Update dsa-check-packages.

 -- Peter Palfrader <weasel@debian.org>  Fri, 13 Dec 2013 13:15:07 +0100

noreply-nagios-checks (94) Xnstable; urgency=low

  * Add nagios-check-tor-authority-cert.

 -- Peter Palfrader <weasel@debian.org>  Fri, 02 Nov 2012 23:05:22 +0100

noreply-nagios-checks (93) Xnstable; urgency=low

  * Fork for noreply
  * Do not depend on ssh weak keys.

 -- Peter Palfrader <weasel@debian.org>  Thu, 01 Nov 2012 16:21:14 +0100

dsa-nagios-checks (9X) Xnstable; urgency=low

  [ Tollef Fog Heen ]
  * dsa-update-unowned-file-status: Use -fstype proc rather than hard
    coding /proc in order to match procfs in chroots too.
  * dsa-update-apt-status: send the cron output to syslog rather than email

  [ Peter Palfrader ]
  * dsa-check-msa-eventlog: Add --verbose switch to show info level
    event log entries.
  * add dsa-check-crl-expire.
  * rename checks/dsa-check-backuppg.conf.sample ->
    etc/dsa-check-backuppg.conf.sample.
  * dsa-check-running-kernel: Fix finding meta package for 3.x kernels.
  * dsa-check-packages: Ignore :$arch in package names of dpkg -l output,
    at least for the "primary" arch.  Does not really handle multi-arch
    packages, but it makes things work again for now.
  * dsa-check-backuppg: Ignore .dotfiles in rootdir.

  [ Stephen Gran ]
  * dsa-check-udldap-freshness: check new last_update.trace if it
    exists instead of /var/lib/misc/thishost/passwd.{db,tdb}.
  * dsa-check-statusfile: Complain if there is no extended information

  [ Uli Martens ]
  * dsa-check-soas: Add --no-soa-ns flag.

 -- Peter Palfrader <weasel@debian.org>  Sat, 25 Aug 2012 18:17:55 +0200

dsa-nagios-checks (92.1) unstable; urgency=low

  * Fix dsa-update-unowned-file-status cronjob entry more.

 -- Peter Palfrader <weasel@debian.org>  Sat, 25 Feb 2012 13:30:08 +0100

dsa-nagios-checks (92) unstable; urgency=low

  * Fix dsa-update-unowned-file-status cronjob entry.

 -- Peter Palfrader <weasel@debian.org>  Sat, 25 Feb 2012 12:40:00 +0100

dsa-nagios-checks (91) unstable; urgency=low

  [ Peter Palfrader ]
  * dsa-check-zone-rrsig-expiration: configurable packet size, and change
    default size.
  * dsa-check-zone-rrsig-expiration-many: run checks in parallel and
    properly timeout long checks.
  * dsa-nagios-checks: add perfdata (Alexander Reichle-Schmehl).
  * dsa-check-statusfile: change shebang from ruby to python and fix syntax
    errors.
  * dsa-check-soas: support supplying an IP address for additional nameservers
    to check on with -a.

  [ Tollef Fog Heen ]
  * Make the unowned files check skip /proc.
  * Limit the number of unowned files we register in the state file to 40.

  [ Peter Palfrader ]
  * Rewrite unowned files check into something that writes proper
    nagios status files and behaves in a nice and sane way.

 -- Peter Palfrader <weasel@debian.org>  Fri, 24 Feb 2012 18:12:36 +0100

dsa-nagios-checks (90) unstable; urgency=low

  [ Peter Palfrader ]
  * dsa-check-entropy:
    - document watermark default
    - fix off-by-one in output
  * dsa-check-backuppg:
    - ignore regular files in pg backup's root directory if they are still
      fresh.
  * dsa-check-config:
    - fix a bashism.
  * dsa-check-log-age-loghost
    - allow minus (-) in hostnames.

  [ Stephen Gran ]
  * Add event_handler to restart services
  * Add dsa-check-raid-megactl for awkward PeRC controllers

  [ Martin Zobel-Helas ]
  * add rudimentary check for unowned files

 -- Martin Zobel-Helas <zobel@debian.org>  Mon, 02 Jan 2012 16:46:33 +0100

dsa-nagios-checks (89) unstable; urgency=low

  * dsa-check-running-kernel: kFreeBSD support.
  * Add dsa-check-entropy.


