=== debian/control ===
Source: noreply-nagios-checks
Section: local
Priority: extra
Maintainer: Peter Palfrader <weasel@debian.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: noreply-nagios-checks
Architecture: all
Depends: nagios-nrpe-server, nagios-plugins-basic, ${misc:Depends}, binutils, libberkeleydb-perl, ruby, python, libyaml-syck-perl, lsof
Recommends: libnet-dns-sec-perl
Suggests: hpacucli
Description: DSA nagios checks
 This package provides a few nagios plugins by
 DSA for use on debian.org hosts.
 .
 It also sets up a few cronjobs for checks that are to
 be run out of cron.
