=== debian/rules ===
#!/usr/bin/make -f

clean:
	dh_testdir
	dh_testroot
	dh_clean

build:

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	for f in `ls -1 checks/* | grep -v 'sample$$'`; do \
		install -m 755 $$f $(CURDIR)/debian/noreply-nagios-checks/usr/lib/nagios/plugins; \
	done

	for f in `ls -1 event_handlers/* | grep -v 'sample$$'`; do \
		install -m 755 $$f $(CURDIR)/debian/noreply-nagios-checks/usr/lib/nagios/plugins; \
	done

	for f in `ls -1 etc/*`; do \
		install -m 644 $$f $(CURDIR)/debian/noreply-nagios-checks/etc/nagios; \
	done

	for f in `ls -1 share/*`; do \
		install -m 755 $$f $(CURDIR)/debian/noreply-nagios-checks/usr/share/dsa; \
	done

	for f in `ls -1 sbin/*`; do \
		install -m 755 $$f $(CURDIR)/debian/noreply-nagios-checks/usr/sbin; \
	done


binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installcron
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: install
binary: binary-indep binary-arch

.PHONY: clean binary-indep binary-arch binary install build
